[bitbake-devel] [PATCH 1/2] bin/toaster: Remove extra CMD check.

Liam R. Howlett Liam.Howlett at windriver.com
Wed Aug 3 19:57:49 UTC 2016


This if statement was left over from the switch to the case statement
logic.

Signed-off-by: Liam R. Howlett <Liam.Howlett at WindRiver.com>
---
 bin/toaster | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

diff --git a/bin/toaster b/bin/toaster
index e3a0dae..66157d0 100755
--- a/bin/toaster
+++ b/bin/toaster
@@ -253,10 +253,8 @@ echo "The system will $CMD."
 case $CMD in
     start )
         # check if addr:port is not in use
-        if [ "$CMD" == 'start' ]; then
-            if [ $WEBSERVER -gt 0 ]; then
-                $MANAGE checksocket "$ADDR_PORT" || return 1
-            fi
+        if [ ${WEBSERVER} -gt 0 ]; then
+            ${MANAGE} checksocket "$ADDR_PORT" || return 1
         fi
 
         # kill Toaster web server if it's alive
-- 
1.9.1




More information about the bitbake-devel mailing list